summaryrefslogtreecommitdiffstats
path: root/EmulatorPkg/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'EmulatorPkg/build.sh')
-rwxr-xr-xEmulatorPkg/build.sh21
1 files changed, 6 insertions, 15 deletions
diff --git a/EmulatorPkg/build.sh b/EmulatorPkg/build.sh
index 60056e1b6c..76c22dfaf8 100755
--- a/EmulatorPkg/build.sh
+++ b/EmulatorPkg/build.sh
@@ -209,21 +209,12 @@ fi
if [[ "$RUN_EMULATOR" == "yes" ]]; then
case `uname` in
Darwin*)
- #
- # On Darwin we can't use dlopen, so we have to load the real PE/COFF images.
- # This .gdbinit script sets a breakpoint that loads symbols for the PE/COFFEE
- # images that get loaded in Host
- #
- if [[ "$CLANG_VER" == *-ccc-host-triple* ]]
- then
- # only older versions of Xcode support -ccc-host-tripe, for newer versions
- # it is -target
- cp $WORKSPACE/EmulatorPkg/Unix/lldbefi.py "$BUILD_OUTPUT_DIR/${BUILDTARGET}_$TARGET_TOOLS/$PROCESSOR"
- cd $BUILD_ROOT_ARCH; /usr/bin/lldb --source $WORKSPACE/EmulatorPkg/Unix/lldbinit Host
- exit $?
- else
- cp $WORKSPACE/EmulatorPkg/Unix/.gdbinit "$BUILD_OUTPUT_DIR/${BUILDTARGET}_$TARGET_TOOLS/$PROCESSOR"
- fi
+ cd $BUILD_ROOT_ARCH
+ /usr/bin/lldb \
+ -o "command script import $WORKSPACE/EmulatorPkg/Unix/lldbefi.py" \
+ -o 'script lldb.debugger.SetAsync(True)' \
+ -o "run" ./Host
+ exit $?
;;
esac